<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary ml-1" (click)="buscarInfo()" [disabled]="loading || !formSend.cChr1">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportExcel()" class="btn btn-success ml-1" [disabled]="loading || !dataGrid.length">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button (click)="exportPdf()" class="btn btn-danger ml-1" [disabled]="loading || !dataGrid.length">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">


      <div class="row">
        <div class="form-group col-sm-12 col-md-4 col-lg-3 col-xl-3">
          <label class="w-100"></label>
          <input type="radio" value="2" id="mes" name="iInt1" class="k-radio" checked="true"
          [(ngModel)]="formSend.iInt1">
          <label class="k-radio-label mr-2" for="mes">Mes</label>
          <input type="radio" value="3" id="anio" name="iInt1" class="k-radio" [(ngModel)]="formSend.iInt1">
          <label class="k-radio-label mr-2" for="anio">Año</label>
          <input type="radio" value="1" id="rango" name="iInt1" class="k-radio" [(ngModel)]="formSend.iInt1">
          <label class="k-radio-label mr-2" for="rango">Rango</label>
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-2" *ngIf="formSend.iInt1 == 1">
          <label class="w-100">Desde</label>
          <kendo-datepicker [(ngModel)]="formSend.fFec1" name="fFec1" [format]="formatKendo" class="w-100">
          </kendo-datepicker>
          <small class="text-muted">Selecciona un rango menor a 30 días</small>
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-2" *ngIf="formSend.iInt1 == 1">
          <label class="w-100">Hasta</label>
          <kendo-datepicker [(ngModel)]="formSend.fFec2" name="fFec2" [min]="formSend.fFec1"
          [format]="formatKendo"
            class="w-100">
          </kendo-datepicker>
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3 col-xl-2" *ngIf="formSend.iInt1 != 1">
          <label class="w-100">Hasta</label>
          <kendo-datepicker [(ngModel)]="formSend.fFec2" [format]="formatKendo" class="form-control">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt2" [(ngModel)]="formSend.iInt2" value="1" id="Reportados"
          class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Reportados">Reportados</label>
          <input type="radio" name="iInt2" [(ngModel)]="formSend.iInt2" value="2" id="Departamento"
          class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Departamento">Departamento</label>
          <input type="radio" name="iInt2" [(ngModel)]="formSend.iInt2" value="3" id="Todos" class="k-radio"
            checked="true">
          <label class="k-radio-label mr-2 w-100" for="Todos">Todos</label>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt3" [(ngModel)]="formSend.iInt3" value="1" id="Pendientes"
          class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Pendientes">Pendientes</label>
          <input type="radio" name="iInt3" [(ngModel)]="formSend.iInt3" value="2" id="Enterados"
          class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Enterados">Enterados</label>
          <input type="radio" name="iInt3" [(ngModel)]="formSend.iInt3" value="3" id="Terminados"
          class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Terminados">Terminados</label>
          <input type="radio" name="iInt3" [(ngModel)]="formSend.iInt3" value="4" id="Todo"
          class="k-radio" checked="true">
          <label class="k-radio-label mr-2 w-100" for="Todo">Todos</label>
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3">
          <label class="w-100">Departamento</label>
          <div class="input-group">
            <kendo-combobox [data]="listDeptos" [textField]="'ddesc'" [valueField]="'depto'" class="form-control"
              [(ngModel)]="formSend.cChr1" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3">
          <label class="w-100">Ubicación</label>
          <div class="input-group">
            <kendo-combobox [data]="listUbicacion" [textField]="'udesc'" [valueField]="'Ubicacion'"
            class="form-control" [(ngModel)]="formSend.cChr2" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3">
          <label class="w-100">Trabajo</label>
          <div class="input-group">
            <kendo-combobox [data]="listTrabajo" [textField]="'tdesc'" [valueField]="'trabajo'"
            class="form-control" [(ngModel)]="formSend.cChr3" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3">
          <label class="w-100">Operador</label>
          <div class="input-group">
            <kendo-combobox [data]="listOperador" [textField]="'cnombre'" [valueField]="'camarista'"
              class="form-control" [(ngModel)]="formSend.iInt4" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3">
          <label class="w-100">Cuarto</label>
          <input type="text" pattern="[0-9]*" class="form-control" [(ngModel)]="formSend.cChr4">
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3">
          <label class="w-100">TL</label>
          <div class="input-group">
            <kendo-combobox [data]="listAgencia" [textField]="'Agencia'" [valueField]="'Agencia'" class="form-control"
              [(ngModel)]="formSend.cChr5" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
      </div>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 40vh;">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Codigo" title="Código" width="130"></kendo-grid-column>
        <kendo-grid-column *ngFor="let n of listData; let i=index" [field]="n.Cred" title="{{listFecha[i].Dia}}"
          width="130" [filterable]="false" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.tTres[i].Cred }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Tt" title="Total" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" [selectable]="true" [navigable]="true" style="height: 20vh;">
      <ng-container *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="TM" width="130"></kendo-grid-column>
        <kendo-grid-column *ngFor="let n of listFecha; let i=index" [field]="n.Cred" title="{{n.Dia}}" width="130"
          class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ n.Cred }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Tt" title="Total" width="130" class="text-right">
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
  </div>
</div>
